## UDisksLinuxLoop

UDisksLinuxLoop — Linux implementation of UDisksLoop

## Functions

UDisksLoop * | udisks_linux_loop_new ()
void | udisks_linux_loop_update ()

## Types and Values

| UDisksLinuxLoop

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksLoopSkeleton
                ╰── UDisksLinuxLoop

## Implemented Interfaces

UDisksLinuxLoop implements GDBusInterface and UDisksLoop.

## Description

This type provides an implementation of the UDisksLoop interface on Linux.

## Functions

### udisks_linux_loop_new ()

    UDisksLoop *
    udisks_linux_loop_new (void);

Creates a new UDisksLinuxLoop instance.

#### Returns

A new UDisksLinuxLoop. Free with `g_object_unref()`.

### udisks_linux_loop_update ()

    void
    udisks_linux_loop_update (UDisksLinuxLoop *loop,
                              UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

loop | A UDisksLinuxLoop. |
object | The enclosing UDisksLinuxBlockObject instance. |

## Types and Values

### UDisksLinuxLoop

    typedef struct _UDisksLinuxLoop UDisksLinuxLoop;

The UDisksLinuxLoop structure contains only private data and should only be accessed using the provided API.